<?php 

include_once ("_dirinfo.php");
include_once (PATH_TO_ROOT."init.php");
include_once (PATH_TO_ROOT."_ajaxManipulators/_class/class.gridData.php");

class capiOverManipulator extends GridDataManipulator
{
	
}

	

$db->ChangeDatabase($_POST['database']);
$tableName = $_POST['RMtable'];

$manipulator = new capiOverManipulator($db,$_POST['RMtable']);
$comm = $_REQUEST['action'].'Action';
if(method_exists($manipulator,$comm))
	echo $manipulator->$comm();
else 
{
	echo '{success:false,error:"Unknown action!"}';	
}

?>